#include <ST7LITE3.h>
#include "SPI.h"
//-------------------------------------
// SPI initialization
//-------------------------------------
void SPI_Init(void)
{
SPI_CS_DR  |= SPI_CS;
SPI_CS_OR  |= SPI_CS;
SPI_CS_DDR |= SPI_CS;

SPICSR = 0x03;
SPICR =  0x50;
}
//-------------------------------------
// SPI transmission
//-------------------------------------
char SPI_Transmit(char val)
{
SPIDR = val;
while(!(SPICSR & (1 << 7)));
return SPIDR;
}
//-------------------------------------
// End of file
//-------------------------------------