//***************** (c) 2008 BTC Korporacja ***********************************
//                     http://www kamami.com
// PROJECT  : LED
// BOARD    : ZL3ST7 (with ST7FLITE39F2B6 in socket U1)
// COMPILER : RKitSTM8 for Ride7
//
//******************************************************************************
//
//    THE SOFTWARE INCLUDED IN THIS FILE IS FOR GUIDANCE ONLY.
//    BTC KORPORACJA SHALL NOT BE HELD LIABLE FOR ANY DIRECT, INDIRECT
//    OR CONSEQUENTIAL DAMAGES WITH RESPECT TO ANY CLAIMS ARISING
//    FROM USE OF THIS SOFTWARE.
//
//******************************************************************************
//
// DESCRIPTION :
//    Simple LEDs demonstration.
//
//    Settings and connections on ZL3ST7:
//        PA0 (con15) - LED0 (con9)
//        PA1 (con15) - LED1 (con9)
//        ...
//        PA7 (con15) - LED7 (con9)
//
//******************************************************************************
#include <ST7LITE3.H>
#include <INTRIST7.H>
//-------------------------------------
// main program
//-------------------------------------
int main(void)
{
volatile int i;
PADDR = 0xFF;   // Config PORTA as output
PAOR = 0xFF;    // Push-pull output
// infinite loop
do{
  PADR = 0b10101010;		    // Write port value
  for(i = 0; i < 0x3FFF; i++);  // Wait 
  PADR = 0b01010101;		    // Write port value
  for(i = 0; i < 0x3FFF; i++);	// Wait 
}while(1);
return 0;
}
//-------------------------------------
// End of file
//-------------------------------------
